/*-------- slider area start --------*/
.hero-1 {
    height: 100vh;
    background-position: center center;
    background-size: cover;
    // responsive
    @media #{$tablet-device} {
        height: 450px;
    }
    @media #{$large-mobile} {
        height: 380px;
    }
    @media #{$extra-small-mobile} {
        height: 350px;
    }
    .slider-content {
        max-width: 55%;
        margin-top: 98px;
        // responsive
        @media #{$large-mobile} {
            max-width: 75%;
            margin-top: 50px;
        }
        @media #{$extra-small-mobile} {
            max-width: 100%;
        }
        h1 {
            color: $black-soft;
            font-size: 48px;
            font-weight: 700;
            line-height: 56px;
            letter-spacing: 2px;
            text-transform: uppercase;
            span {
                color: $theme-color;
            }
            // responsive
            @media #{$desktop-device} {
                font-size: 38px;
                line-height: 46px;
            }
            @media #{$tablet-device} {
                font-size: 28px;
                line-height: 36px;
            }
            @media #{$large-mobile} {
                font-size: 22px;
                line-height: 28px;
            }
            @media #{$large-mobile} {
                font-size: 20px;
                line-height: 24px;
            }
        }
        h3 {
            color: $black-soft;
            font-size: 30px;
            line-height: 36px;
            font-weight: 400;
            text-transform: uppercase;
            padding-top: 15px;
            padding-bottom: 30px;
            // responsive
            @media #{$desktop-device} {
                font-size: 22px;
                line-height: 28px;
            }
            @media #{$tablet-device} {
                font-size: 18px;
                line-height: 24px;
            }
            @media #{$large-mobile} {
                font-size: 16px;
                line-height: 22px;
                padding-bottom: 20px;
            }
        }
        h4 {
            color: $black-soft;
            font-size: 24px;
            line-height: 36px;
            padding-top: 15px;
            margin-top: 10px;
            padding-bottom: 30px;
            position: relative;
            text-transform: capitalize;
            &:before {
                top: 0;
                left: 0;
                content: "";
                height: 3px;
                width: 150px;
                position: absolute;
                background-color: $theme-color;
            }
            // responsive
            @media #{$tablet-device} {
                font-size: 20px;
                line-height: 26px;
            }
            @media #{$large-mobile} {
                font-size: 16px;
                line-height: 24px;
                padding-bottom: 20px;
            }
        }
    }
}
/*-------- slider area end --------*/


/*-------- slider 2 area start --------*/
.hero-2 {
    height: 812px;
    background-position:  center center;
    background-size: cover;
    // Responsive
    @media #{$laptop-device} {
        height: 600px;
    }
    @media #{$desktop-device, $tablet-device} {
        height: 500px;
    }
    @media #{$large-mobile} {
        height: 400px;
    }
    @media #{$small-mobile} {
        height: 350px;
    }
    .slider-content {
        max-width: 60%;
        width: 100%;
        // Responsive
        @media #{$extra-small-mobile} {
            max-width: 100%;
            width: 100%;
        }
        h3 {
            color: $black-soft;
            font-size: 36px;
            font-weight: 700;
            line-height: 40px;
            padding-bottom: 20px;
            letter-spacing: 1px;
            text-transform: uppercase;
            // Responsive
            @media #{$laptop-device} {
                font-size: 30px;
            }
            @media #{$desktop-device, $tablet-device} {
                font-size: 24px;
                line-height: 30px;
            }
            @media #{$large-mobile} {
                font-size: 20px;
                line-height: 26px;
                padding-bottom: 10px;
            }
            @media #{$extra-small-mobile} {
                font-size: 17px;
                line-height: 26px;
                padding-bottom: 10px;
            }
        }
        h1 {
            color: $white;
            font-size: 65px;
            font-weight: 700;
            line-height: 70px;
            letter-spacing: 1px;
            text-transform: uppercase;
            padding-bottom: 40px;
            // Responsive
            @media #{$laptop-device} {
                font-size: 50px;
                line-height: 56px;
            }
            @media #{$desktop-device} {
                font-size: 42px;
                line-height: 52px;
            }
            @media #{$tablet-device} {
                font-size: 32px;
                line-height: 40px;
            }
            @media #{$large-mobile} {
                font-size: 22px;
                line-height: 30px;
                padding-bottom: 20px;
            }
        }
    }
    &__style-3 {
        .slider-content {
            max-width: 52%;
            width: 100%;
            // Responsive
            @media #{$extra-small-mobile} {
                max-width: 100%;
                width: 100%;
            }
            h3 {
                // Responsive
                @media #{$large-mobile} {
                    font-size: 16px;
                    line-height: 22px;
                    padding-bottom: 5px;
                }  
            }
            h1 {
                color: $theme-color;
                // Responsive
                @media #{$large-mobile} {
                    font-size: 22px;
                    line-height: 30px;
                    padding-bottom: 20px;
                }
            }
        }
    }
    &__style-4 {
        // Responsive
        @media #{$tablet-device} {
            height: 390px;
        }
        @media #{$large-mobile} {
            height: 300px;
        }
        .slider-content {
            max-width: 50%;
            width: 100%; 
            // Responsive
            @media #{$small-mobile} {
                max-width: 60%;
            }
            @media #{$extra-small-mobile} {
                max-width: 100%;
            }
            h1 {
                @media #{$small-mobile} {
                    font-size: 22px;
                    line-height: 26px;
                }
            }
            h3 {
                @media #{$small-mobile} {
                    font-size: 18px;
                    line-height: 22px;
                }
            }
        }
    }
    // Hero style 5
    &__Style-5 {
        // Responsive
        @media #{$tablet-device} {
            height: 390px;
        }
        @media #{$large-mobile} {
            height: 350px;
        }
        .slider-content { 
            // Responsive
            @media #{$large-mobile} {
                max-width: 100%;
                width: 100%;
            }
            h1 {
                font-size: 54px;
                line-height: 64px;
                padding-bottom: 20px;
                // Responsive
                @media #{$desktop-device} {
                    font-size: 40px;
                    line-height: 48px;
                }
                @media #{$tablet-device} {
                    font-size: 34px;
                    line-height: 42px;
                }
                @media #{$large-mobile} {
                    font-size: 30px;
                    line-height: 36px;
                }
                @media #{$extra-small-mobile} {
                    font-size: 22px;
                    line-height: 30px;
                }
            }
            h3 {
                font-size: 24px;
                line-height: 30px;
                font-weight: 400;
                letter-spacing: 0;
                // Responsive
                @media #{$tablet-device} {
                    font-size: 20px;
                    line-height: 24px;
                }
                // Responsive
                @media #{$large-mobile} {
                    font-size: 16px;
                    line-height: 20px;
                    padding-bottom: 20px;
                }
            }
        }
    }
}
/*-------- slider 2 area end --------*/